#include <stdio.h>

int main(void) {
  long int n, k;
  long int broj=0;
  scanf("%ld %ld", &n, &k);
  long int p=2*n+1;
  int meta[p];
    for(int j=0;j<2*n+1;j++){
    meta[j]=0;
  }
  for(long int k=1;k<=n;k++){
    long int x;
    scanf("%ld", &x);
    meta[n+x]=meta[n+x]+1;
  }
  for(long int i=0;i<2*n+1;i++){
    if (meta[i]>=k) broj++;
  }
  printf("%ld\n", broj);
  for(long int i=0;i<2*n+1;i++){
    if (meta[i]>=k) printf("%ld ", i-n);
  }
  printf("\b");
  return 0;
}